//proj2Impl.java
import java.io.*;
import java.awt.*;
import java.rmi.*;
import java.rmi.server.*;
import java.util.*;


public class proj2Impl extends UnicastRemoteObject
           implements myDBC   {
   
   private proj2Database database;
   private Vector vect = new Vector();
   private String objname;

   public proj2Impl( String s ) throws java.rmi.RemoteException{
     super();
     objname = s;
     database = new proj2Database();
   }

   public void open() throws java.rmi.RemoteException {
     database.open();
     System.out.println( "Open database." );

   }

   public void close() throws java.rmi.RemoteException { 
     database.close();
     System.out.println( "Close dadabase." );
   }

   public Vector searchtrip( String a, String b )
       throws java.rmi.RemoteException{

     vect = database.searchtrip( a, b );
     return vect;
  } 

   public Vector searchcondition( String a ) throws java.rmi.RemoteException {

     vect =  database.searchcondition( a );
     return vect;

   }

  /* public Vector meta_Data() throws java.rmi.RemoteException {

     vect = database.meta_Data();
     return vect;

   }*/

   public void updatetrip( String a, String b, String c, String d )
       throws java.rmi.RemoteException {

     database.updatetrip( a, b, c, d );

   }

   public void adddatetrip( String a, String b, String c, String d )
        throws java.rmi.RemoteException {

     database.adddatetrip( a, b, c, d );
  
  }

   public void delete_trip( String a, String b )
        throws java.rmi.RemoteException {

     database.delete_trip( a, b );

   }

   public static void main( String[] args ) {
     System.setSecurityManager( new RMISecurityManager() );     

     try{
       proj2Impl obj = new proj2Impl( "tawei_DBCServer" );
       Naming.rebind( "//jojo.npac.syr.edu:4040/tawei_DBCServer", obj );
       System.out.println( "proj2Impl created and bound in the registry"+"to the name register." );
     }
     catch( Exception evt ) {
       System.err.println("tawei_DBCServer:Exception " + evt );
       evt.printStackTrace();  
     }
  }
}


   








